Propel and Phing

In order to use Propel (an interesting ORM Mapper in PHP) phing (ant in php) is needed. However, the version of phing in the PEAR Repository is not working correctly.

Symtom of error:
Can’t load default task list

Phing Version 2.4.0 does NOT work
Phing Version 2.3.3 does work

Therefore, you need to install phing by hand with this command:
pear install -f http://pear.phing.info/get/phing-2.3.3.tgz

After this, run:
pear install phpdb/propel_generator

However, at the creation of this post, the installation of the runtime system does not work. The execution of the following command:
pear install phpdb/propel_runtime
Introduces the following error:
WARNING: failed to download pear.phpdb.org/propel_runtime-, additionally the suggested version () is the same as the locally installed one.
install failed

Therefore, the deployment descriptor for the runtime lib is not correct.